#
# spec file for package perl-Business-ISBN-Data
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Business-ISBN-Data
Version:        20120719.001
Release:        10.1
%define cpan_name Business-ISBN-Data
Summary:        Data pack for Business::ISBN
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Business-ISBN-Data/
Source:         http://www.cpan.org/authors/id/B/BD/BDFOY/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::More) >= 0.95
#BuildRequires: perl(LWP::Simple)
Requires:       perl(Business::ISBN)
Requires:       perl(Test::More) >= 0.95
%{perl_requires}

%description
You don't need to load this module yourself in most cases. 'Business::ISBN'
will load it when it loads.

These data are generated from the _RangeMessage.xml_ file provided by the
ISBN Agency. You can retrieve this yourself at the
http://www.isbn-international.org/agency?rmxml=1 manpage. This file is
included as part of the distribution and should be installed at
_~lib/Business/ISBN/RangeMessage.xml_.

If you want to use a different _RangeMessage.xml_ file, you can set the
'ISBN_RANGE_MESSAGE' environment variable to the alternate location before
you load 'Business::ISBN'. This way, you can use the latest (or even
earlier) data without having to install something new or wait for an update
to this module.

If the default _RangeMessage.xml_ or your alternate one is not available,
the module falls back to data included in _Data.pm_. However, that data is
likely to be older data.

The data are in 'Business::ISBN::country_data' (although the "country"
part is historical). If you want to see where the data are from, check
'$Business::ISBN::country_data{_source}'.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes examples LICENSE README

%changelog
* Mon Nov 20 2017 pmonrealgonzalez@suse.com
- Added Requires: perl(Business::ISBN) [bsc#1067186]
* Tue Jun  4 2013 coolo@suse.com
- updated to 20120719.001
  * Support data from RangeMessage.xml. You can use the latest
    data from ISBN without updating this module.
    Specify the Test::More version so I cna use subtest.
    No code or feature changes
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Sat Sep  4 2010 chris@computersalat.de
- recreated by cpanspec 1.78
- noarch pkg
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Sat Jul 25 2009 chris@computersalat.de
- spec mods
  * removed ^----------
  * removed ^#---------
* Sun Jun 28 2009 chris@computersalat.de
- update to 20081208
  - 0.00 - Fri Dec  5 12:00:41 2008
  * Latest data update.
  - 20081020 - Mon Oct 20 17:44:15 2008
  * Updated publisher codes thanks to Yakov Shafranovich
  * Version number is now the update date of the module,
    in YYYYMMDD. This not the date of the ISBN Agency
    updates though.
- added perl-macros
  o autogen filelist with perl_gen_filelist
- spec mods
  o fixed deps
* Tue Feb 12 2008 lars@linux-schulserver.de
- Update to 1.17:
  [BUGFIX] RT #29078: Fix publihser ranges for Greece
* Mon Jul 23 2007 lrupp@suse.de
- initial package 1.14
